Package net.shibboleth.idp.session.logic

# Class LogoutPropagationFlowDescriptorSelector

java.lang.Object
net.shibboleth.idp.session.logic.LogoutPropagationFlowDescriptorSelector

All Implemented Interfaces:
  `Function<SPSession,LogoutPropagationFlowDescriptor>`

public class LogoutPropagationFlowDescriptorSelector extends Object implements Function<SPSession,LogoutPropagationFlowDescriptor>
Selection function to retrieve the logout propagation flow descriptor that is suitable for a given `SPSession`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<LogoutPropagationFlowDescriptor>`
`availableFlows`
List of available flows.

## Constructor Summary

Constructors
Constructor
Description
`LogoutPropagationFlowDescriptorSelector(List<LogoutPropagationFlowDescriptor> flows)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`LogoutPropagationFlowDescriptor`
`apply(SPSession input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### availableFlows

@Nonnull private final List<LogoutPropagationFlowDescriptor> availableFlows
List of available flows.

## Constructor Details

### LogoutPropagationFlowDescriptorSelector

public LogoutPropagationFlowDescriptorSelector(@Nonnull @ParameterName(name="flows") List<LogoutPropagationFlowDescriptor> flows)
Constructor.

Parameters:
  `flows` - the logout propagation flows to select from

## Method Details

### apply

@Nullable public LogoutPropagationFlowDescriptor apply(@Nullable SPSession input)

Specified by:
  `apply` in interface `Function<SPSession,LogoutPropagationFlowDescriptor>`